link error (2.8 -> 2.9)

If you are using the main C++ distribution of wxWidgets, Feel free to ask any question related to wxWidgets development here. This means questions regarding to C++ and wxWidgets, not compile problems.
Post Reply
fregolo
In need of some credit
In need of some credit
Posts: 7
Joined: Fri Jul 24, 2009 10:05 am

link error (2.8 -> 2.9)

Post by fregolo » Mon Nov 30, 2009 8:53 am

Hello,

My company developed an application with wxWidgets (2.8.7).
Now, we have some issue about graphical behaviour (on Vista).

I'm trying to migrate our application with wxWigdets 2.9.0


Compilation : no issue
Link : issue
For example :
LocalColour.obj : error LNK2001: unresolved external symbol "__declspec(dllimport) public: __thiscall wxString::wxString(unsigned short const *)" ([email protected]@[email protected]@Z)
I have no direct reference to wxString in LocalColour.cpp ou .h

I looked at wxbaseXXu.lib
In 2.8 :

Code: Select all

wxString::wxString(unsigned short const *)
In 2.9

Code: Select all

wxString::wxString(wchar_t const *)
I removed all reference to 2.8.7
I do not know why the linker try to link the 2.8.7 prototype.

Thanks for your help.

Romas
I live to help wx-kind
I live to help wx-kind
Posts: 176
Joined: Mon Jun 16, 2008 11:07 am
Location: Kaunas

Post by Romas » Mon Nov 30, 2009 9:13 am

There could be number of solutions. I would recommend to double check the include directories of your project (-I...) and library paths(-LIBPATHS) (or if this is possible, to rename old wx directory). Of course, rebuild new wx, rebuild whole project with new wx.
Everything requires a line of code.

Debster
Knows some wx things
Knows some wx things
Posts: 32
Joined: Sat Aug 20, 2005 6:01 pm

Post by Debster » Mon Nov 30, 2009 11:02 pm

Hi,

so the main reason for changing the wx version is the drawing problem in vista? Have you try 2.8.10? Maybe the drawing problem still exists under 2.9.0? Have you tried to fix the drawing issue?

jfouche
Super wx Problem Solver
Super wx Problem Solver
Posts: 442
Joined: Tue May 06, 2008 4:52 pm
Location: France

Post by jfouche » Tue Dec 01, 2009 9:06 am

Are you sure you cleaned your project files ? If the includes path are OK, I suppose that some .o files were compiled vs 2.8.x version of wxWidgets.
Jérémie

fregolo
In need of some credit
In need of some credit
Posts: 7
Joined: Fri Jul 24, 2009 10:05 am

Post by fregolo » Tue Dec 01, 2009 1:50 pm

Thanks for your answers.

Debster, I didn't try the 2.8.10. Currently, I cannot ask to the other questions.

I cleaned my project and I replaced all include and lib references (I renamed the directory 2.8.7 to avoid this king of issues). I manually cleaned the build directory.

Maybe, I'll try the 2.8.10 version.

The first developers of this project used wxWidgets 2.8.7 and 2.9 for property grid. I wanted to migrate all components in the same version.

Post Reply